Get all promotions
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/promotions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/promotions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/promotions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fourthwall.com/open-api/v1.0/promotions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fourthwall.com/open-api/v1.0/promotions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fourthwall.com/open-api/v1.0/promotions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fourthwall.com/open-api/v1.0/promotions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "<string>",
"code": "<string>",
"discount": {
"percentage": 123,
"type": "FLAT_RATE",
"money": {
"value": 10,
"currency": "USD"
},
"freeShipping": true,
"shippingOption": "Included"
},
"status": "Live",
"requirements": {
"minimumOrderValue": {
"value": 10,
"currency": "USD"
}
},
"usageCount": 123,
"limits": {
"maximumUsesNumber": 123,
"oneUsePerCustomer": true
},
"appliesTo": {
"type": "ENTIRE_ORDER"
},
"type": "SHOP_AUTO_APPLYING",
"title": "<string>"
}
],
"total": 123,
"page": 123,
"size": 123,
"totalPages": 123
}{
"code": "OPEN_API_TOO_MANY_REQUESTS",
"title": "Too many requests",
"status": 429
}Promotions
List Promotions
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Returns all promotions. The maximum page size is 100 - larger values are capped at 100.
GET
/
open-api
/
v1.0
/
promotions
Get all promotions
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/promotions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/promotions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/promotions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fourthwall.com/open-api/v1.0/promotions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fourthwall.com/open-api/v1.0/promotions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fourthwall.com/open-api/v1.0/promotions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fourthwall.com/open-api/v1.0/promotions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "<string>",
"code": "<string>",
"discount": {
"percentage": 123,
"type": "FLAT_RATE",
"money": {
"value": 10,
"currency": "USD"
},
"freeShipping": true,
"shippingOption": "Included"
},
"status": "Live",
"requirements": {
"minimumOrderValue": {
"value": 10,
"currency": "USD"
}
},
"usageCount": 123,
"limits": {
"maximumUsesNumber": 123,
"oneUsePerCustomer": true
},
"appliesTo": {
"type": "ENTIRE_ORDER"
},
"type": "SHOP_AUTO_APPLYING",
"title": "<string>"
}
],
"total": 123,
"page": 123,
"size": 123,
"totalPages": 123
}{
"code": "OPEN_API_TOO_MANY_REQUESTS",
"title": "Too many requests",
"status": 429
}OAuth scope:
promotions_readAPI keys have full access to this endpoint.Authorizations
bearerAuthbasicAuth
OAuth 2.0 access token, sent as Authorization: Bearer <token>. See https://docs.fourthwall.com/guides/oauth. The scopes an operation requires are listed in its x-fourthwall-scopes.
Query Parameters
Number of elements per page. The maximum page size is 100 - larger values are capped at 100.
Filter by promotion code(s)
Response
OK
results
Auto Applying Shop Promotion · object · Auto Applying Shop Promotion · object · Auto Applying Shop Promotion · object · Auto Applying Shop Promotion · object · Auto Applying Shop Promotion · object · Multi Memberships Promotion · object · Multi Shop Promotion · object · Single Memberships Promotion · object · Single Shop Promotion · object[]
required
- Auto Applying Shop Promotion
- Auto Applying Shop Promotion
- Auto Applying Shop Promotion
- Auto Applying Shop Promotion
- Auto Applying Shop Promotion
- Multi Memberships Promotion
- Multi Shop Promotion
- Single Memberships Promotion
- Single Shop Promotion
Show child attributes
Show child attributes